Kerbal Space Program - Bug #294

Input Issues (Mouse and Keyboard)
03/06/2013 02:30 PM - Anonymous

Status: Not a Bug Start date: 03/06/2013
Severity: Very Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.191 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

What happens: KSP seems to ignore keyboard presses in the VAB and SPH. While in Map View, KSP has trouble with the mouse,
i.e. nothing happens when the mouse is over objects.

How to reproduce:

*Start KSP.

*Load a ship in the VAB or SPH.

*Try to change the vessel name. A text cursor should appear, but you should not be able to enter or delete text.

*Using any ship, go to Map View.
*Mouse over any object.
*KSP should not detect that you are hovering over an object, and data (velocity, etc.) should not be displayed.

Notes:

*Some people think that this might be a problem with Unity on Macs.

*Happens in fullscreen and windowed.

*If you launch a ship, then right-click on a command part and change the name, there are no problems with the keyboard.

Specs:

*Mac OSX 10.6.8 (Snow Leopard)
*KSP 0.18.4

*Graphics card: NVIDIA GeForce 320M

History

#1 - 03/06/2013 06:15 PM - Anonymous

UPDATE: Reinstalling the game seems to fix the issue.

#2 - 03/08/2013 11:42 AM - Anonymous
UPDATE: Scratch that. Updating the game does NOT fix the problem. However, the issue presents itself ONLY in fullscreen.

#3 - 04/04/2013 07:17 PM - Immutef

| have had the same issue. It only happens if | drag KSP to my second monitor with another resolution. | currently own a MacBook Pro Retina. | had a
resolution of 1440x900 pixels on the MBPr Screen and a resolution of 1680x1050 pixels on my second monitor. While the KSP window was located
on my primary MBPr screen, everything worked fine. Once | dragged it over to the second monitor, my mouse seemed to be located like a 100 pixels
on top of its real location. Once | changed the scaling on my primary MPBr monitor to match the resolution of 1680x1050 pixels, my mouse was
interpreted correctly when KSP was located on my second monitor. So - to summarize - it seems that KSP does not consider the second monitors'
resolution for mouse input.

#4 - 04/07/2013 11:24 AM - Anonymous

That's nice, Immutef, but irrelevant. I'm only using one monitor, and my mouse location is being interpreted correctly. The problem is that KSP
doesn't seem to recognize that I've rolled over something. But when | click on a spot, that spot acts as if clicked on. So KSP knows my mouse is
there, it just chooses to ignore it for some reason.

#5 - 04/07/2013 11:54 AM - Ted
- Version set to 0.18.4

- Platform OSX added
#6 - 04/07/2013 11:54 AM - Ted

Could you update the version field to 0.19.1 if it occurs in that version? Thanks! :)

#7 - 04/09/2013 06:11 PM - Anonymous

Um...how exactly do | do that? :S It does occur in 0.19, so...

#8 - 05/02/2013 04:18 PM - Jammerpan

I'm having the same problem on a MacBook Pro with Snow Leopard as well...

#9 - 05/18/2013 04:48 AM - Ted

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Version changed from 0.18.4 to 0.19.1

Updated to the latest version.
Marked as confirmed as other users have mentioned as such.

#10 - 06/03/2013 04:27 AM - Hertog_Jan

| can confirm the weird location of the mouse pointer as described by Immutef on OS X 10.8.3 and KSP .20.2.

#11 - 07/20/2013 10:10 PM - Anonymous
- Status changed from Confirmed to Not a Bug

- % Done changed from 10 to 100

This bug no longer appears in 0.20.2.
